Skip to main content

Query users

POST 

/users/query

Query users using filters, sorting, and pagination.

Filter

The filter object must have exactly one key. It can be:

  • A property filter (e.g. id, organization, status, hasOrganization, hasApiKey, policy, role, targetGroup, hasSubscription, subscriptionType, subscriptionEnd, public, vatNr, createdBy, resellerId, hasPolicies, hasRole, and region-specific filters like apbNr, rizivNr for BE or finessNr, cipNr for FR) with an appropriate value.
  • A compound filter with key and (value: array of filter objects; all must match), or (value: array of filter objects; at least one must match), or not (single filter object to negate).

Sort

Sort the results by one of the following fields: id, name, email, status, organization, createdAt.

Page

Size must be one of: 10, 50, 100, 250.

Query parameter

Use viewableOnly=true to restrict results to users the authenticated user is allowed to view (e.g. users of their organization).

Request

Responses

Successful operation.

Returns a paginated list of users, sorted by id in ascending order by default.